MLX5DV_TS_TO_NS(3)

NAME
mlx5dv_ts_to_ns - Convert device timestamp from HCA core clock units to the corresponding nanosecond counts

SYNOPSIS
#include <infiniband/mlx5dv.h>

uint64_t mlx5dv_ts_to_ns(struct mlx5dv_clock_info *clock_info,
			      uint64_t device_timestamp);

DESCRIPTION
mlx5dv_ts_to_ns(3) Converts a host byte order device_timestamp from HCA core clock units into the corresponding nanosecond wallclock time.

struct mlx5dv_clock_info can be retrieved using mlx5dv_get_clock_info(3).

The greater the difference between the device reporting a timestamp and the last mlx5dv_clock_info update, the greater the inaccuracy of the clock time conversion.

RETURN VALUE
Timestamp in nanoseconds

SEE ALSO
mlx5dv(7), mlx5dv_get_clock_info(3), mlx5dv_query_device(3)

AUTHORS

Feras Daoud <ferasda@mellanox.com>